
_Send_cmd:

;DFPLAYER_MINI.c,11 :: 		void Send_cmd (char cmd, char Parameter1, char Parameter2)
;DFPLAYER_MINI.c,13 :: 		unsigned int Checksum = 0;
;DFPLAYER_MINI.c,15 :: 		unsigned short i = 0;
	CLRF       Send_cmd_i_L0+0
;DFPLAYER_MINI.c,17 :: 		Checksum = Version + Cmd_Len + cmd + Feedback + Parameter1 + Parameter2;
	MOVF       FARG_Send_cmd_cmd+0, 0
	ADDLW      5
	MOVWF      R0+0
	MOVLW      1
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      R0+1
	MOVF       FARG_Send_cmd_Parameter1+0, 0
	ADDWF      R0+0, 1
	BTFSC      STATUS+0, 0
	INCF       R0+1, 1
	MOVF       FARG_Send_cmd_Parameter2+0, 0
	ADDWF      R0+0, 1
	BTFSC      STATUS+0, 0
	INCF       R0+1, 1
;DFPLAYER_MINI.c,18 :: 		Checksum = 0-Checksum ;
	MOVF       R0+0, 0
	SUBLW      0
	MOVWF      R3+0
	MOVF       R0+1, 0
	BTFSS      STATUS+0, 0
	ADDLW      1
	CLRF       R3+1
	SUBWF      R3+1, 1
;DFPLAYER_MINI.c,19 :: 		CmdSequence[0] = Start_Byte;
	MOVLW      126
	MOVWF      Send_cmd_CmdSequence_L0+0
;DFPLAYER_MINI.c,20 :: 		CmdSequence[1] = Version;
	MOVLW      255
	MOVWF      Send_cmd_CmdSequence_L0+1
;DFPLAYER_MINI.c,21 :: 		CmdSequence[2] = Cmd_Len;
	MOVLW      6
	MOVWF      Send_cmd_CmdSequence_L0+2
;DFPLAYER_MINI.c,22 :: 		CmdSequence[3] = Cmd;
	MOVF       FARG_Send_cmd_cmd+0, 0
	MOVWF      Send_cmd_CmdSequence_L0+3
;DFPLAYER_MINI.c,23 :: 		CmdSequence[4] = Feedback;
	CLRF       Send_cmd_CmdSequence_L0+4
;DFPLAYER_MINI.c,24 :: 		CmdSequence[5] = Parameter1;
	MOVF       FARG_Send_cmd_Parameter1+0, 0
	MOVWF      Send_cmd_CmdSequence_L0+5
;DFPLAYER_MINI.c,25 :: 		CmdSequence[6] = Parameter2;
	MOVF       FARG_Send_cmd_Parameter2+0, 0
	MOVWF      Send_cmd_CmdSequence_L0+6
;DFPLAYER_MINI.c,26 :: 		CmdSequence[7] = (Checksum>>8)&0x00ff;
	MOVF       R3+1, 0
	MOVWF      R0+0
	CLRF       R0+1
	MOVLW      255
	ANDWF      R0+0, 0
	MOVWF      Send_cmd_CmdSequence_L0+7
;DFPLAYER_MINI.c,27 :: 		CmdSequence[8] = (Checksum&0x00ff);
	MOVLW      255
	ANDWF      R3+0, 0
	MOVWF      Send_cmd_CmdSequence_L0+8
;DFPLAYER_MINI.c,28 :: 		CmdSequence[9] =  End_Byte;
	MOVLW      239
	MOVWF      Send_cmd_CmdSequence_L0+9
;DFPLAYER_MINI.c,30 :: 		for(i=0; i<10; i++){
	CLRF       Send_cmd_i_L0+0
L_Send_cmd0:
	MOVLW      10
	SUBWF      Send_cmd_i_L0+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_Send_cmd1
;DFPLAYER_MINI.c,31 :: 		UART1_Write( CmdSequence[i]);
	MOVF       Send_cmd_i_L0+0, 0
	ADDLW      Send_cmd_CmdSequence_L0+0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;DFPLAYER_MINI.c,30 :: 		for(i=0; i<10; i++){
	INCF       Send_cmd_i_L0+0, 1
;DFPLAYER_MINI.c,32 :: 		}
	GOTO       L_Send_cmd0
L_Send_cmd1:
;DFPLAYER_MINI.c,33 :: 		}
L_end_Send_cmd:
	RETURN
; end of _Send_cmd

_DF_PlayFromStart:

;DFPLAYER_MINI.c,35 :: 		void DF_PlayFromStart(void)
;DFPLAYER_MINI.c,37 :: 		Send_cmd(0x03,0x00,0x01);
	MOVLW      3
	MOVWF      FARG_Send_cmd_cmd+0
	CLRF       FARG_Send_cmd_Parameter1+0
	MOVLW      1
	MOVWF      FARG_Send_cmd_Parameter2+0
	CALL       _Send_cmd+0
;DFPLAYER_MINI.c,38 :: 		Delay_ms(200);
	MOVLW      3
	MOVWF      R11+0
	MOVLW      8
	MOVWF      R12+0
	MOVLW      119
	MOVWF      R13+0
L_DF_PlayFromStart3:
	DECFSZ     R13+0, 1
	GOTO       L_DF_PlayFromStart3
	DECFSZ     R12+0, 1
	GOTO       L_DF_PlayFromStart3
	DECFSZ     R11+0, 1
	GOTO       L_DF_PlayFromStart3
;DFPLAYER_MINI.c,39 :: 		}
L_end_DF_PlayFromStart:
	RETURN
; end of _DF_PlayFromStart

_DF_Init:

;DFPLAYER_MINI.c,42 :: 		void DF_Init (char volume)
;DFPLAYER_MINI.c,44 :: 		Send_cmd(0x3F, 0x00, Source);
	MOVLW      63
	MOVWF      FARG_Send_cmd_cmd+0
	CLRF       FARG_Send_cmd_Parameter1+0
	MOVLW      2
	MOVWF      FARG_Send_cmd_Parameter2+0
	CALL       _Send_cmd+0
;DFPLAYER_MINI.c,45 :: 		Delay_ms(200);
	MOVLW      3
	MOVWF      R11+0
	MOVLW      8
	MOVWF      R12+0
	MOVLW      119
	MOVWF      R13+0
L_DF_Init4:
	DECFSZ     R13+0, 1
	GOTO       L_DF_Init4
	DECFSZ     R12+0, 1
	GOTO       L_DF_Init4
	DECFSZ     R11+0, 1
	GOTO       L_DF_Init4
;DFPLAYER_MINI.c,46 :: 		Send_cmd(0x06, 0x00, volume);
	MOVLW      6
	MOVWF      FARG_Send_cmd_cmd+0
	CLRF       FARG_Send_cmd_Parameter1+0
	MOVF       FARG_DF_Init_volume+0, 0
	MOVWF      FARG_Send_cmd_Parameter2+0
	CALL       _Send_cmd+0
;DFPLAYER_MINI.c,47 :: 		Delay_ms(500);
	MOVLW      6
	MOVWF      R11+0
	MOVLW      19
	MOVWF      R12+0
	MOVLW      173
	MOVWF      R13+0
L_DF_Init5:
	DECFSZ     R13+0, 1
	GOTO       L_DF_Init5
	DECFSZ     R12+0, 1
	GOTO       L_DF_Init5
	DECFSZ     R11+0, 1
	GOTO       L_DF_Init5
	NOP
	NOP
;DFPLAYER_MINI.c,48 :: 		}
L_end_DF_Init:
	RETURN
; end of _DF_Init

_DF_Next:

;DFPLAYER_MINI.c,51 :: 		void DF_Next (void)
;DFPLAYER_MINI.c,53 :: 		Send_cmd(next, 0x00, 0x00);
	MOVLW      1
	MOVWF      FARG_Send_cmd_cmd+0
	CLRF       FARG_Send_cmd_Parameter1+0
	CLRF       FARG_Send_cmd_Parameter2+0
	CALL       _Send_cmd+0
;DFPLAYER_MINI.c,54 :: 		Delay_ms(200);
	MOVLW      3
	MOVWF      R11+0
	MOVLW      8
	MOVWF      R12+0
	MOVLW      119
	MOVWF      R13+0
L_DF_Next6:
	DECFSZ     R13+0, 1
	GOTO       L_DF_Next6
	DECFSZ     R12+0, 1
	GOTO       L_DF_Next6
	DECFSZ     R11+0, 1
	GOTO       L_DF_Next6
;DFPLAYER_MINI.c,55 :: 		}
L_end_DF_Next:
	RETURN
; end of _DF_Next

_DF_Pause:

;DFPLAYER_MINI.c,57 :: 		void DF_Pause (void)
;DFPLAYER_MINI.c,59 :: 		Send_cmd(pause , 0, 0);
	MOVLW      14
	MOVWF      FARG_Send_cmd_cmd+0
	CLRF       FARG_Send_cmd_Parameter1+0
	CLRF       FARG_Send_cmd_Parameter2+0
	CALL       _Send_cmd+0
;DFPLAYER_MINI.c,60 :: 		Delay_ms(200);
	MOVLW      3
	MOVWF      R11+0
	MOVLW      8
	MOVWF      R12+0
	MOVLW      119
	MOVWF      R13+0
L_DF_Pause7:
	DECFSZ     R13+0, 1
	GOTO       L_DF_Pause7
	DECFSZ     R12+0, 1
	GOTO       L_DF_Pause7
	DECFSZ     R11+0, 1
	GOTO       L_DF_Pause7
;DFPLAYER_MINI.c,61 :: 		}
L_end_DF_Pause:
	RETURN
; end of _DF_Pause

_DF_Previous:

;DFPLAYER_MINI.c,63 :: 		void DF_Previous (void)
;DFPLAYER_MINI.c,65 :: 		Send_cmd(previus, 0, 0);
	MOVLW      2
	MOVWF      FARG_Send_cmd_cmd+0
	CLRF       FARG_Send_cmd_Parameter1+0
	CLRF       FARG_Send_cmd_Parameter2+0
	CALL       _Send_cmd+0
;DFPLAYER_MINI.c,66 :: 		Delay_ms(200);
	MOVLW      3
	MOVWF      R11+0
	MOVLW      8
	MOVWF      R12+0
	MOVLW      119
	MOVWF      R13+0
L_DF_Previous8:
	DECFSZ     R13+0, 1
	GOTO       L_DF_Previous8
	DECFSZ     R12+0, 1
	GOTO       L_DF_Previous8
	DECFSZ     R11+0, 1
	GOTO       L_DF_Previous8
;DFPLAYER_MINI.c,67 :: 		}
L_end_DF_Previous:
	RETURN
; end of _DF_Previous

_DF_Playback:

;DFPLAYER_MINI.c,69 :: 		void DF_Playback (void)
;DFPLAYER_MINI.c,71 :: 		Send_cmd(play, 0, 0);
	MOVLW      13
	MOVWF      FARG_Send_cmd_cmd+0
	CLRF       FARG_Send_cmd_Parameter1+0
	CLRF       FARG_Send_cmd_Parameter2+0
	CALL       _Send_cmd+0
;DFPLAYER_MINI.c,72 :: 		Delay_ms(200);
	MOVLW      3
	MOVWF      R11+0
	MOVLW      8
	MOVWF      R12+0
	MOVLW      119
	MOVWF      R13+0
L_DF_Playback9:
	DECFSZ     R13+0, 1
	GOTO       L_DF_Playback9
	DECFSZ     R12+0, 1
	GOTO       L_DF_Playback9
	DECFSZ     R11+0, 1
	GOTO       L_DF_Playback9
;DFPLAYER_MINI.c,73 :: 		}
L_end_DF_Playback:
	RETURN
; end of _DF_Playback

_DF_Randon:

;DFPLAYER_MINI.c,75 :: 		void DF_Randon(void)
;DFPLAYER_MINI.c,77 :: 		Send_cmd(randon , 0, 0);
	MOVLW      24
	MOVWF      FARG_Send_cmd_cmd+0
	CLRF       FARG_Send_cmd_Parameter1+0
	CLRF       FARG_Send_cmd_Parameter2+0
	CALL       _Send_cmd+0
;DFPLAYER_MINI.c,78 :: 		Delay_ms(200);
	MOVLW      3
	MOVWF      R11+0
	MOVLW      8
	MOVWF      R12+0
	MOVLW      119
	MOVWF      R13+0
L_DF_Randon10:
	DECFSZ     R13+0, 1
	GOTO       L_DF_Randon10
	DECFSZ     R12+0, 1
	GOTO       L_DF_Randon10
	DECFSZ     R11+0, 1
	GOTO       L_DF_Randon10
;DFPLAYER_MINI.c,79 :: 		}
L_end_DF_Randon:
	RETURN
; end of _DF_Randon

_DF_Track:

;DFPLAYER_MINI.c,81 :: 		void DF_Track (unsigned int pista)
;DFPLAYER_MINI.c,83 :: 		Send_cmd(track, 0x00, pista);
	MOVLW      3
	MOVWF      FARG_Send_cmd_cmd+0
	CLRF       FARG_Send_cmd_Parameter1+0
	MOVF       FARG_DF_Track_pista+0, 0
	MOVWF      FARG_Send_cmd_Parameter2+0
	CALL       _Send_cmd+0
;DFPLAYER_MINI.c,84 :: 		Delay_ms(200);
	MOVLW      3
	MOVWF      R11+0
	MOVLW      8
	MOVWF      R12+0
	MOVLW      119
	MOVWF      R13+0
L_DF_Track11:
	DECFSZ     R13+0, 1
	GOTO       L_DF_Track11
	DECFSZ     R12+0, 1
	GOTO       L_DF_Track11
	DECFSZ     R11+0, 1
	GOTO       L_DF_Track11
;DFPLAYER_MINI.c,85 :: 		}
L_end_DF_Track:
	RETURN
; end of _DF_Track
