#line 1 "C:/Users/Usuario/Documents/MikroC_pro_pic/DFplayer_mini/DFPLAYER_MINI.c"
#line 1 "c:/users/usuario/documents/mikroc_pro_pic/dfplayer_mini/dfplayer_mini.h"
#line 37 "c:/users/usuario/documents/mikroc_pro_pic/dfplayer_mini/dfplayer_mini.h"
void Send_cmd (char cmd, char Parameter1, char Parameter2);
void DF_PlayFromStart(void);
void DF_Init (char volume);
void DF_Next (void);
void DF_Pause (void);
void DF_Previous (void);
void DF_Playback (void);
void DF_Randon (void);
void DF_Track (unsigned int pista);
#line 11 "C:/Users/Usuario/Documents/MikroC_pro_pic/DFplayer_mini/DFPLAYER_MINI.c"
void Send_cmd (char cmd, char Parameter1, char Parameter2)
{
 unsigned int Checksum = 0;
 char CmdSequence[10];
 unsigned short i = 0;

 Checksum =  0xFF  +  0x06  + cmd +  0x00  + Parameter1 + Parameter2;
 Checksum = 0-Checksum ;
 CmdSequence[0] =  0x7E ;
 CmdSequence[1] =  0xFF ;
 CmdSequence[2] =  0x06 ;
 CmdSequence[3] = Cmd;
 CmdSequence[4] =  0x00 ;
 CmdSequence[5] = Parameter1;
 CmdSequence[6] = Parameter2;
 CmdSequence[7] = (Checksum>>8)&0x00ff;
 CmdSequence[8] = (Checksum&0x00ff);
 CmdSequence[9] =  0xEF ;

 for(i=0; i<10; i++){
 UART1_Write( CmdSequence[i]);
 }
}

void DF_PlayFromStart(void)
{
 Send_cmd(0x03,0x00,0x01);
 Delay_ms(200);
}


void DF_Init (char volume)
{
 Send_cmd(0x3F, 0x00,  0x02 );
 Delay_ms(200);
 Send_cmd(0x06, 0x00, volume);
 Delay_ms(500);
}


void DF_Next (void)
{
 Send_cmd( 0X01 , 0x00, 0x00);
 Delay_ms(200);
}

void DF_Pause (void)
{
 Send_cmd( 0x0E  , 0, 0);
 Delay_ms(200);
}

void DF_Previous (void)
{
 Send_cmd( 0X02 , 0, 0);
 Delay_ms(200);
}

void DF_Playback (void)
{
 Send_cmd( 0x0D , 0, 0);
 Delay_ms(200);
}

void DF_Randon(void)
{
 Send_cmd( 0x18  , 0, 0);
 Delay_ms(200);
}

void DF_Track (unsigned int pista)
{
 Send_cmd( 0x03 , 0x00, pista);
 Delay_ms(200);
}
