
_set_up:

;main.c,8 :: 		void set_up() {
;main.c,10 :: 		INTCON = 0;          // Todas las interrupciones deshabilitadas
	CLRF       INTCON+0
;main.c,11 :: 		ANSEL = 0;       // Pin RA2 se configura como una entrada analgica
	CLRF       ANSEL+0
;main.c,12 :: 		ANSELH = 0;        // Los dems pines se configuran como digitales
	CLRF       ANSELH+0
;main.c,13 :: 		TRISB6_bit=0;     // los pies B6 y B7 se configuran como salidas
	BCF        TRISB6_bit+0, BitPos(TRISB6_bit+0)
;main.c,14 :: 		TRISB7_bit=0;
	BCF        TRISB7_bit+0, BitPos(TRISB7_bit+0)
;main.c,15 :: 		TRISC7_bit=1;
	BSF        TRISC7_bit+0, BitPos(TRISC7_bit+0)
;main.c,16 :: 		TRISC6_bit=0;
	BCF        TRISC6_bit+0, BitPos(TRISC6_bit+0)
;main.c,17 :: 		TRISD0_bit=1;
	BSF        TRISD0_bit+0, BitPos(TRISD0_bit+0)
;main.c,18 :: 		TRISD1_bit=1;
	BSF        TRISD1_bit+0, BitPos(TRISD1_bit+0)
;main.c,19 :: 		TRISD2_bit=1;
	BSF        TRISD2_bit+0, BitPos(TRISD2_bit+0)
;main.c,20 :: 		TRISD3_bit=1;
	BSF        TRISD3_bit+0, BitPos(TRISD3_bit+0)
;main.c,21 :: 		RB7_bit=0;  //CLK
	BCF        RB7_bit+0, BitPos(RB7_bit+0)
;main.c,22 :: 		RB6_bit=0; // DATA
	BCF        RB6_bit+0, BitPos(RB6_bit+0)
;main.c,23 :: 		C1ON_bit = 0;    // se desactivan los comparadores analgicos
	BCF        C1ON_bit+0, BitPos(C1ON_bit+0)
;main.c,24 :: 		C2ON_bit = 0;
	BCF        C2ON_bit+0, BitPos(C2ON_bit+0)
;main.c,25 :: 		CCP1CON = 0;   //PWM1 y PWM2 desactivados.
	CLRF       CCP1CON+0
;main.c,26 :: 		CCP2CON = 0;
	CLRF       CCP2CON+0
;main.c,27 :: 		UART1_Init(9600);
	MOVLW      51
	MOVWF      SPBRG+0
	BSF        TXSTA+0, 2
	CALL       _UART1_Init+0
;main.c,28 :: 		Delay_ms(100);
	MOVLW      2
	MOVWF      R11+0
	MOVLW      4
	MOVWF      R12+0
	MOVLW      186
	MOVWF      R13+0
L_set_up0:
	DECFSZ     R13+0, 1
	GOTO       L_set_up0
	DECFSZ     R12+0, 1
	GOTO       L_set_up0
	DECFSZ     R11+0, 1
	GOTO       L_set_up0
	NOP
;main.c,29 :: 		DF_Init(12);
	MOVLW      12
	MOVWF      FARG_DF_Init_volume+0
	CALL       _DF_Init+0
;main.c,30 :: 		DF_PlayFromStart();
	CALL       _DF_PlayFromStart+0
;main.c,31 :: 		DF_Track (trk);
	MOVF       _trk+0, 0
	MOVWF      FARG_DF_Track_pista+0
	MOVF       _trk+1, 0
	MOVWF      FARG_DF_Track_pista+1
	CALL       _DF_Track+0
;main.c,32 :: 		Delay_ms(200);
	MOVLW      3
	MOVWF      R11+0
	MOVLW      8
	MOVWF      R12+0
	MOVLW      119
	MOVWF      R13+0
L_set_up1:
	DECFSZ     R13+0, 1
	GOTO       L_set_up1
	DECFSZ     R12+0, 1
	GOTO       L_set_up1
	DECFSZ     R11+0, 1
	GOTO       L_set_up1
;main.c,33 :: 		}
L_end_set_up:
	RETURN
; end of _set_up

_main:

;main.c,35 :: 		void main() {
;main.c,37 :: 		set_up();
	CALL       _set_up+0
;main.c,38 :: 		TM1637_SetBrightness(7);
	MOVLW      7
	MOVWF      FARG_TM1637_SetBrightness_brightness+0
	CALL       _TM1637_SetBrightness+0
;main.c,39 :: 		TM1637_Init();
	CALL       _TM1637_Init+0
;main.c,40 :: 		TM1637_DisplayDecimal(trk, 0);
	MOVF       _trk+0, 0
	MOVWF      FARG_TM1637_DisplayDecimal_v+0
	MOVF       _trk+1, 0
	MOVWF      FARG_TM1637_DisplayDecimal_v+1
	CLRF       FARG_TM1637_DisplayDecimal_displaySeparator+0
	CLRF       FARG_TM1637_DisplayDecimal_displaySeparator+1
	CALL       _TM1637_DisplayDecimal+0
;main.c,41 :: 		DF_Track (trk);
	MOVF       _trk+0, 0
	MOVWF      FARG_DF_Track_pista+0
	MOVF       _trk+1, 0
	MOVWF      FARG_DF_Track_pista+1
	CALL       _DF_Track+0
;main.c,42 :: 		Delay_ms(20);
	MOVLW      52
	MOVWF      R12+0
	MOVLW      241
	MOVWF      R13+0
L_main2:
	DECFSZ     R13+0, 1
	GOTO       L_main2
	DECFSZ     R12+0, 1
	GOTO       L_main2
	NOP
	NOP
;main.c,44 :: 		do {
L_main3:
;main.c,45 :: 		if ((play_pause == 1) && (aux==0)) DF_Pause(), aux=1;
	MOVF       _play_pause+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_main8
	MOVF       _aux+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_main8
L__main39:
	CALL       _DF_Pause+0
	MOVLW      1
	MOVWF      _aux+0
L_main8:
;main.c,46 :: 		if ((play_pause >= 2) && (aux==1)) DF_Playback(), play_pause=0, aux=0;
	MOVLW      128
	XORWF      _play_pause+0, 0
	MOVWF      R0+0
	MOVLW      128
	XORLW      2
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_main11
	MOVF       _aux+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_main11
L__main38:
	CALL       _DF_Playback+0
	CLRF       _play_pause+0
	CLRF       _aux+0
L_main11:
;main.c,48 :: 		if (Button(&PORTD,3,10,1) && (play_pause == 0)) {
	MOVLW      PORTD+0
	MOVWF      FARG_Button_port+0
	MOVLW      3
	MOVWF      FARG_Button_pin+0
	MOVLW      10
	MOVWF      FARG_Button_time_ms+0
	MOVLW      1
	MOVWF      FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main14
	MOVF       _play_pause+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_main14
L__main37:
;main.c,49 :: 		trk++;
	INCF       _trk+0, 1
	BTFSC      STATUS+0, 2
	INCF       _trk+1, 1
;main.c,50 :: 		if(trk > 12)  trk = 1;
	MOVF       _trk+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main42
	MOVF       _trk+0, 0
	SUBLW      12
L__main42:
	BTFSC      STATUS+0, 0
	GOTO       L_main15
	MOVLW      1
	MOVWF      _trk+0
	MOVLW      0
	MOVWF      _trk+1
L_main15:
;main.c,51 :: 		TM1637_DisplayDecimal(trk, 0);
	MOVF       _trk+0, 0
	MOVWF      FARG_TM1637_DisplayDecimal_v+0
	MOVF       _trk+1, 0
	MOVWF      FARG_TM1637_DisplayDecimal_v+1
	CLRF       FARG_TM1637_DisplayDecimal_displaySeparator+0
	CLRF       FARG_TM1637_DisplayDecimal_displaySeparator+1
	CALL       _TM1637_DisplayDecimal+0
;main.c,52 :: 		DF_Track (trk);
	MOVF       _trk+0, 0
	MOVWF      FARG_DF_Track_pista+0
	MOVF       _trk+1, 0
	MOVWF      FARG_DF_Track_pista+1
	CALL       _DF_Track+0
;main.c,53 :: 		Delay_ms(20);
	MOVLW      52
	MOVWF      R12+0
	MOVLW      241
	MOVWF      R13+0
L_main16:
	DECFSZ     R13+0, 1
	GOTO       L_main16
	DECFSZ     R12+0, 1
	GOTO       L_main16
	NOP
	NOP
;main.c,54 :: 		}
L_main14:
;main.c,56 :: 		if (Button(&PORTD,0,10,0)) e0=0;     //if the button has been pushed
	MOVLW      PORTD+0
	MOVWF      FARG_Button_port+0
	CLRF       FARG_Button_pin+0
	MOVLW      10
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main17
	CLRF       _e0+0
L_main17:
;main.c,57 :: 		if (e0==0 && Button(&PORTD,0,10,1)){ //and after that the button is free
	MOVF       _e0+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_main20
	MOVLW      PORTD+0
	MOVWF      FARG_Button_port+0
	CLRF       FARG_Button_pin+0
	MOVLW      10
	MOVWF      FARG_Button_time_ms+0
	MOVLW      1
	MOVWF      FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main20
L__main36:
;main.c,58 :: 		trk++;                         //increase select.
	INCF       _trk+0, 1
	BTFSC      STATUS+0, 2
	INCF       _trk+1, 1
;main.c,59 :: 		if (trk>12) trk=1;
	MOVF       _trk+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main43
	MOVF       _trk+0, 0
	SUBLW      12
L__main43:
	BTFSC      STATUS+0, 0
	GOTO       L_main21
	MOVLW      1
	MOVWF      _trk+0
	MOVLW      0
	MOVWF      _trk+1
L_main21:
;main.c,60 :: 		TM1637_DisplayDecimal(trk, 0); // 0: OFF 1: ON
	MOVF       _trk+0, 0
	MOVWF      FARG_TM1637_DisplayDecimal_v+0
	MOVF       _trk+1, 0
	MOVWF      FARG_TM1637_DisplayDecimal_v+1
	CLRF       FARG_TM1637_DisplayDecimal_displaySeparator+0
	CLRF       FARG_TM1637_DisplayDecimal_displaySeparator+1
	CALL       _TM1637_DisplayDecimal+0
;main.c,61 :: 		DF_Track (trk);
	MOVF       _trk+0, 0
	MOVWF      FARG_DF_Track_pista+0
	MOVF       _trk+1, 0
	MOVWF      FARG_DF_Track_pista+1
	CALL       _DF_Track+0
;main.c,62 :: 		Delay_ms(20);
	MOVLW      52
	MOVWF      R12+0
	MOVLW      241
	MOVWF      R13+0
L_main22:
	DECFSZ     R13+0, 1
	GOTO       L_main22
	DECFSZ     R12+0, 1
	GOTO       L_main22
	NOP
	NOP
;main.c,63 :: 		e0=1;
	MOVLW      1
	MOVWF      _e0+0
;main.c,64 :: 		}
L_main20:
;main.c,66 :: 		if (Button(&PORTD,1,10,0)) e1=0;     //if the button has been pushed
	MOVLW      PORTD+0
	MOVWF      FARG_Button_port+0
	MOVLW      1
	MOVWF      FARG_Button_pin+0
	MOVLW      10
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main23
	CLRF       _e1+0
L_main23:
;main.c,67 :: 		if (e1==0 && Button(&PORTD,1,10,1)){ //and after that the button is free
	MOVF       _e1+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_main26
	MOVLW      PORTD+0
	MOVWF      FARG_Button_port+0
	MOVLW      1
	MOVWF      FARG_Button_pin+0
	MOVLW      10
	MOVWF      FARG_Button_time_ms+0
	MOVLW      1
	MOVWF      FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main26
L__main35:
;main.c,68 :: 		trk--;                         //decrease select.
	MOVLW      1
	SUBWF      _trk+0, 1
	BTFSS      STATUS+0, 0
	DECF       _trk+1, 1
;main.c,69 :: 		if (trk<1) trk=12;
	MOVLW      0
	SUBWF      _trk+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main44
	MOVLW      1
	SUBWF      _trk+0, 0
L__main44:
	BTFSC      STATUS+0, 0
	GOTO       L_main27
	MOVLW      12
	MOVWF      _trk+0
	MOVLW      0
	MOVWF      _trk+1
L_main27:
;main.c,70 :: 		TM1637_DisplayDecimal(trk, 0); // 0: OFF 1: ON
	MOVF       _trk+0, 0
	MOVWF      FARG_TM1637_DisplayDecimal_v+0
	MOVF       _trk+1, 0
	MOVWF      FARG_TM1637_DisplayDecimal_v+1
	CLRF       FARG_TM1637_DisplayDecimal_displaySeparator+0
	CLRF       FARG_TM1637_DisplayDecimal_displaySeparator+1
	CALL       _TM1637_DisplayDecimal+0
;main.c,71 :: 		DF_Track (trk);
	MOVF       _trk+0, 0
	MOVWF      FARG_DF_Track_pista+0
	MOVF       _trk+1, 0
	MOVWF      FARG_DF_Track_pista+1
	CALL       _DF_Track+0
;main.c,72 :: 		Delay_ms(20);
	MOVLW      52
	MOVWF      R12+0
	MOVLW      241
	MOVWF      R13+0
L_main28:
	DECFSZ     R13+0, 1
	GOTO       L_main28
	DECFSZ     R12+0, 1
	GOTO       L_main28
	NOP
	NOP
;main.c,73 :: 		e1=1;
	MOVLW      1
	MOVWF      _e1+0
;main.c,74 :: 		}
L_main26:
;main.c,76 :: 		if (Button(&PORTD,2,10,0)) e2=0;     //if the button has been pushed
	MOVLW      PORTD+0
	MOVWF      FARG_Button_port+0
	MOVLW      2
	MOVWF      FARG_Button_pin+0
	MOVLW      10
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main29
	CLRF       _e2+0
L_main29:
;main.c,77 :: 		if (e2==0 && Button(&PORTD,2,10,1)){ //and after that the button is free
	MOVF       _e2+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_main32
	MOVLW      PORTD+0
	MOVWF      FARG_Button_port+0
	MOVLW      2
	MOVWF      FARG_Button_pin+0
	MOVLW      10
	MOVWF      FARG_Button_time_ms+0
	MOVLW      1
	MOVWF      FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main32
L__main34:
;main.c,78 :: 		play_pause++;
	INCF       _play_pause+0, 1
;main.c,79 :: 		Delay_ms(20);
	MOVLW      52
	MOVWF      R12+0
	MOVLW      241
	MOVWF      R13+0
L_main33:
	DECFSZ     R13+0, 1
	GOTO       L_main33
	DECFSZ     R12+0, 1
	GOTO       L_main33
	NOP
	NOP
;main.c,80 :: 		e2=1;
	MOVLW      1
	MOVWF      _e2+0
;main.c,81 :: 		}
L_main32:
;main.c,83 :: 		} while (1);
	GOTO       L_main3
;main.c,84 :: 		}
L_end_main:
	GOTO       $+0
; end of _main
